Bug 1249670 - "[NameError]: uninitialized constant ManageIQ::Providers::Vmware::InfraManager::RefreshParser::Filter::Parser" found in evm.log file
"[NameError]: uninitialized constant ManageIQ::Providers::Vmware::InfraManage...
Status: CLOSED ERRATA
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Providers (Show other bugs)
5.5.0
Unspecified Unspecified
high Severity high
: GA
: 5.5.0
Assigned To: Matthew Draper
Ramesh A
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-03 10:28 EDT by Ramesh A
Modified: 2015-12-08 08:25 EST (History)
3 users (show)

See Also:
Fixed In Version: 5.5.0.1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-08 08:25:19 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ramesh A 2015-08-03 10:28:31 EDT
Description of problem:
"ERROR -- : [NameError]: uninitialized constant ManageIQ::Providers::Vmware::InfraManager::RefreshParser::Filter::Parser  Method:[rescue in block in refresh]" found in evm.log file

Version-Release number of selected component (if applicable):
master.20150803085357_e08ddc8

How reproducible:
Very

Steps to Reproduce:
1. Configure a upstream build
2. Add vmware provider
3. Wait for sometime

Actual results:
Following error is found in evm.log file
"ERROR -- : [NameError]: uninitialized constant ManageIQ::Providers::Vmware::InfraManager::RefreshParser::Filter::Parser  Method:[rescue in block in refresh]"

Expected results:
Should not throw any errors

Additional info:
Also following ways to reproduce it
1. Add provider and wait for sometime
2. After adding a provider run a report (say "Registered VMs by Free Space")

evm.log:
=======
[----] E, [2015-08-03T07:38:58.670290 #15526:a21994] ERROR -- : [NameError]: uninitialized constant ManageIQ::Providers::Vmware::InfraManager::RefreshParser::Filter::Parser  Method:[rescue in block in refresh]
[----] E, [2015-08-03T07:38:58.670426 #15526:a21994] ERROR -- : /var/www/miq/vmdb/lib/extensions/as_const_missing_with_sti.rb:80:in `block in const_missing_with_sti'
/var/www/miq/vmdb/lib/extensions/as_const_missing_with_sti.rb:176:in `nest'
/var/www/miq/vmdb/lib/extensions/as_const_missing_with_sti.rb:79:in `const_missing_with_sti'
/var/www/miq/vmdb/app/models/manageiq/providers/vmware/infra_manager/refresh_parser/filter.rb:390:in `get_mors'
/var/www/miq/vmdb/app/models/manageiq/providers/vmware/infra_manager/refresh_parser/filter.rb:232:in `block in storage_inv_by_vm_inv'
/var/www/miq/vmdb/app/models/manageiq/providers/vmware/infra_manager/refresh_parser/filter.rb:231:in `each_value'
/var/www/miq/vmdb/app/models/manageiq/providers/vmware/infra_manager/refresh_parser/filter.rb:231:in `storage_inv_by_vm_inv'
/var/www/miq/vmdb/app/models/manageiq/providers/vmware/infra_manager/refresh_parser/filter.rb:138:in `filter_vc_data'
/var/www/miq/vmdb/app/models/manageiq/providers/vmware/infra_manager/refresher.rb:92:in `block (2 levels) in get_and_filter_vc_data'
/var/www/miq/vmdb/gems/pending/util/extensions/miq-benchmark.rb:12:in `realtime_store'
/var/www/miq/vmdb/gems/pending/util/extensions/miq-benchmark.rb:31:in `realtime_block'
/var/www/miq/vmdb/app/models/manageiq/providers/vmware/infra_manager/refresher.rb:92:in `block in get_and_filter_vc_data'
/var/www/miq/vmdb/app/models/manageiq/providers/vmware/infra_manager/refresher.rb:91:in `collect'
/var/www/miq/vmdb/app/models/manageiq/providers/vmware/infra_manager/refresher.rb:91:in `get_and_filter_vc_data'
/var/www/miq/vmdb/app/models/manageiq/providers/vmware/infra_manager/refresher.rb:77:in `block in refresh_targets_for_ems'
/var/www/miq/vmdb/gems/pending/util/extensions/miq-benchmark.rb:12:in `realtime_store'
/var/www/miq/vmdb/gems/pending/util/extensions/miq-benchmark.rb:31:in `realtime_block'
/var/www/miq/vmdb/app/models/manageiq/providers/vmware/infra_manager/refresher.rb:77:in `refresh_targets_for_ems'
/var/www/miq/vmdb/app/models/manageiq/providers/vmware/infra_manager/refresher.rb:56:in `block (2 levels) in refresh'
/var/www/miq/vmdb/gems/pending/util/extensions/miq-benchmark.rb:12:in `realtime_store'
/var/www/miq/vmdb/gems/pending/util/extensions/miq-benchmark.rb:31:in `realtime_block'
/var/www/miq/vmdb/app/models/manageiq/providers/vmware/infra_manager/refresher.rb:56:in `block in refresh'
/var/www/miq/vmdb/app/models/manageiq/providers/vmware/infra_manager/refresher.rb:47:in `each'
/var/www/miq/vmdb/app/models/manageiq/providers/vmware/infra_manager/refresher.rb:47:in `refresh'
/var/www/miq/vmdb/app/models/manageiq/providers/base_manager/refresher.rb:12:in `refresh'
/var/www/miq/vmdb/app/models/ems_refresh.rb:78:in `block in refresh'
/var/www/miq/vmdb/app/models/ems_refresh.rb:77:in `each'
/var/www/miq/vmdb/app/models/ems_refresh.rb:77:in `refresh'
/var/www/miq/vmdb/app/models/miq_queue.rb:345:in `block in deliver'
/opt/rubies/ruby-2.2.2/lib/ruby/2.2.0/timeout.rb:89:in `block in timeout'
/opt/rubies/ruby-2.2.2/lib/ruby/2.2.0/timeout.rb:34:in `block in catch'
/opt/rubies/ruby-2.2.2/lib/ruby/2.2.0/timeout.rb:34:in `catch'
/opt/rubies/ruby-2.2.2/lib/ruby/2.2.0/timeout.rb:34:in `catch'
/opt/rubies/ruby-2.2.2/lib/ruby/2.2.0/timeout.rb:104:in `timeout'
/var/www/miq/vmdb/app/models/miq_queue.rb:341:in `deliver'
/var/www/miq/vmdb/lib/workers/queue_worker_base.rb:107:in `deliver_queue_message'
/var/www/miq/vmdb/lib/workers/queue_worker_base.rb:135:in `deliver_message'
/var/www/miq/vmdb/lib/workers/queue_worker_base.rb:152:in `block in do_work'
/var/www/miq/vmdb/lib/workers/queue_worker_base.rb:146:in `loop'
/var/www/miq/vmdb/lib/workers/queue_worker_base.rb:146:in `do_work'
/var/www/miq/vmdb/lib/workers/worker_base.rb:328:in `block in do_work_loop'
/var/www/miq/vmdb/lib/workers/worker_base.rb:325:in `loop'
/var/www/miq/vmdb/lib/workers/worker_base.rb:325:in `do_work_loop'
/var/www/miq/vmdb/lib/workers/worker_base.rb:146:in `run'
/var/www/miq/vmdb/lib/workers/worker_base.rb:127:in `start'
/var/www/miq/vmdb/lib/workers/worker_base.rb:24:in `start_worker'
/var/www/miq/vmdb/lib/workers/bin/worker.rb:3:in `<top (required)>'
/opt/rubies/ruby-2.2.2/lib/ruby/gems/2.2.0/gems/railties-4.2.3/lib/rails/commands/runner.rb:60:in `load'
/opt/rubies/ruby-2.2.2/lib/ruby/gems/2.2.0/gems/railties-4.2.3/lib/rails/commands/runner.rb:60:in `<top (required)>'
/opt/rubies/ruby-2.2.2/lib/ruby/gems/2.2.0/gems/railties-4.2.3/lib/rails/commands/commands_tasks.rb:123:in `require'
/opt/rubies/ruby-2.2.2/lib/ruby/gems/2.2.0/gems/railties-4.2.3/lib/rails/commands/commands_tasks.rb:123:in `require_command!'
/opt/rubies/ruby-2.2.2/lib/ruby/gems/2.2.0/gems/railties-4.2.3/lib/rails/commands/commands_tasks.rb:90:in `runner'
/opt/rubies/ruby-2.2.2/lib/ruby/gems/2.2.0/gems/railties-4.2.3/lib/rails/commands/commands_tasks.rb:39:in `run_command!'
/opt/rubies/ruby-2.2.2/lib/ruby/gems/2.2.0/gems/railties-4.2.3/lib/rails/commands.rb:17:in `<top (required)>'
/var/www/miq/vmdb/bin/rails:4:in `require'
/var/www/miq/vmdb/bin/rails:4:in `<main>'
[----] E, [2015-08-03T07:38:58.670525 #15526:a21994] ERROR -- : MIQ(ManageIQ::Providers::Vmware::InfraManager::Refresher#refresh) EMS: [v55], id: [1] Unable to perform refresh for the following targets:
[----] E, [2015-08-03T07:38:58.670625 #15526:a21994] ERROR -- : MIQ(ManageIQ::Providers::Vmware::InfraManager::Refresher#refresh) EMS: [v55], id: [1]   ManageIQ::Providers::Vmware::InfraManager::Vm: [s_appl_downstream-53z_150127_yPansIRv], id: [244]
[----] E, [2015-08-03T07:38:58.670754 #15526:a21994] ERROR -- : MIQ(ManageIQ::Providers::Vmware::InfraManager::Refresher#refresh) EMS: [v55], id: [1]   ManageIQ::Providers::Vmware::InfraManager::Vm: [test_rest_prov_bCiWaJWkUi], id: [203]
[----] E, [2015-08-03T07:38:58.670875 #15526:a21994] ERROR -- : MIQ(ManageIQ::Providers::Vmware::InfraManager::Refresher#refresh) EMS: [v55], id: [1]   ManageIQ::Providers::Vmware::InfraManager::Vm: [test_servicecatalog-j8jam2EwQC_0001], id: [269]
[----] I, [2015-08-03T07:38:58.711250 #15526:a21994]  INFO -- : MIQ(ManageIQ::Providers::Vmware::InfraManager::Refresher#refresh) Refreshing all targets...Completed in 2.77961169s
Comment 1 Ramesh A 2015-08-03 10:29:24 EDT
Github link - https://github.com/ManageIQ/manageiq/issues/3344
Comment 3 Matthew Draper 2015-08-10 10:55:47 EDT
Fixed in https://github.com/ManageIQ/manageiq/pull/3761
Comment 4 Ramesh A 2015-09-16 01:40:46 EDT
Good to go.  Verified and working fine in master.20150916012703_4e04cf0
Comment 5 Ramesh A 2015-09-23 08:28:23 EDT
Good to go.  Verified and working fine in 5.5.0.1-alpha1.20150915151429_2230bd4
Comment 7 errata-xmlrpc 2015-12-08 08:25:19 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2015:2551

Note You need to log in before you can comment on or make changes to this bug.